csSwapBytes Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

csSwapBytes Struct Reference
Utilities

Methods to unconditionally swap the byte order of specifically sized types. More...

`#include <csutil/csendian.h>`

List of all members.

## Static Public Member Functions
static uint16 | Swap (uint16 s)
| Swap byte order.
static int16 | Swap (int16 s)
| Swap byte order.
static uint32 | Swap (uint32 l)
| Swap byte order.
static int32 | Swap (int32 l)
| Swap byte order.
static uint64 | Swap (uint64 l)
| Swap byte order.
static int64 | Swap (int64 l)
| Swap byte order.
static uint16 | UInt16 (uint16 x)
| Swap byte order.
static int16 | Int16 (int16 x)
| Swap byte order.
static uint32 | UInt32 (uint32 x)
| Swap byte order.
static int32 | Int32 (int32 x)
| Swap byte order.
static uint64 | UInt64 (uint64 x)
| Swap byte order.
static int64 | Int64 (int64 x)
| Swap byte order.

## Detailed Description

Methods to unconditionally swap the byte order of specifically sized types.

Definition at line 42 of file csendian.h.

## Member Function Documentation

static int16 csSwapBytes::Int16 | ( | int16 | x | ) | `[inline, static]`

Swap byte order.

Definition at line 93 of file csendian.h.

static int32 csSwapBytes::Int32 | ( | int32 | x | ) | `[inline, static]`

Swap byte order.

Definition at line 95 of file csendian.h.

static int64 csSwapBytes::Int64 | ( | int64 | x | ) | `[inline, static]`

Swap byte order.

Definition at line 97 of file csendian.h.

static uint16 csSwapBytes::Swap | ( | uint16 | s | ) | `[inline, static]`

Swap byte order.

Definition at line 47 of file csendian.h.

static int16 csSwapBytes::Swap | ( | int16 | s | ) | `[inline, static]`

Swap byte order.

Definition at line 57 of file csendian.h.

static uint32 csSwapBytes::Swap | ( | uint32 | l | ) | `[inline, static]`

Swap byte order.

Definition at line 59 of file csendian.h.

static int32 csSwapBytes::Swap | ( | int32 | l | ) | `[inline, static]`

Swap byte order.

Definition at line 69 of file csendian.h.

static uint64 csSwapBytes::Swap | ( | uint64 | l | ) | `[inline, static]`

Swap byte order.

Definition at line 71 of file csendian.h.

static int64 csSwapBytes::Swap | ( | int64 | l | ) | `[inline, static]`

Swap byte order.

Definition at line 89 of file csendian.h.

static uint16 csSwapBytes::UInt16 | ( | uint16 | x | ) | `[inline, static]`

Swap byte order.

Definition at line 92 of file csendian.h.

static uint32 csSwapBytes::UInt32 | ( | uint32 | x | ) | `[inline, static]`

Swap byte order.

Definition at line 94 of file csendian.h.

static uint64 csSwapBytes::UInt64 | ( | uint64 | x | ) | `[inline, static]`

Swap byte order.

Definition at line 96 of file csendian.h.

The documentation for this struct was generated from the following file:

- csutil/csendian.h